Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet
Class JarResourceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.transport.servlet.JarResourceServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class JarResourceServlet

extends HttpServlet

A servlet for loading resources loaded in jar files

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_BASE_PATH`
`static String` | `DEFAULT_MIME_TYPE`
`static String` | `DEFAULT_PATH_SPEC`

Constructor Summary
`JarResourceServlet()`

Method Summary
`protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
`String` | `getBasepath()`
`void` | `setBasepath(String basepath)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PATH_SPEC

    public static final String DEFAULT_PATH_SPEC

See Also:
  Constant Field Values

### DEFAULT_BASE_PATH

    public static final String DEFAULT_BASE_PATH

See Also:
  Constant Field Values

### DEFAULT_MIME_TYPE

    public static final String DEFAULT_MIME_TYPE

See Also:
  Constant Field Values

Constructor Detail

### JarResourceServlet

    public JarResourceServlet()

Method Detail

### doGet

    protected void doGet(HttpServletRequest req,
                         HttpServletResponse resp)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### getBasepath

    public String getBasepath()

### setBasepath

    public void setBasepath(String basepath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.